package com.heyu.api.data.entity.vv;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
/**
*sku 与属性的对应关系
* @author quyixiao
* @since 2025-10-27
*/

@Data
@TableName("vv_product_property")
public class VvProductPropertyEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvProductPropertyEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                         // 
    public final static String is_delete = CLASS_NAME + "is_delete";                            // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                        // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                        // 修改时间
    public final static String product_id = CLASS_NAME + "product_id";                          // 商品id
    public final static String product_property_name = CLASS_NAME + "product_property_name";    // 属性名称
    public final static String default_sort = CLASS_NAME + "default_sort";                      // 默认排序
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //商品id
    private Long productId;
    //属性名称
    private String productPropertyName;
    //默认排序
    private Integer defaultSort;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 商品id 
     * @return
     */
    public Long getProductId() {
        return productId;
    }
    /**
     * 商品id 
     * @param productId
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    /**
     * 属性名称 
     * @return
     */
    public String getProductPropertyName() {
        return productPropertyName;
    }
    /**
     * 属性名称 
     * @param productPropertyName
     */
    public void setProductPropertyName(String productPropertyName) {
        this.productPropertyName = productPropertyName;
    }

    /**
     * 默认排序 
     * @return
     */
    public Integer getDefaultSort() {
        return defaultSort;
    }
    /**
     * 默认排序 
     * @param defaultSort
     */
    public void setDefaultSort(Integer defaultSort) {
        this.defaultSort = defaultSort;
    }

    @Override
    public String toString() {
        return "VvProductPropertyEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",productId=" + productId +
                ",productPropertyName=" + productPropertyName +
                ",defaultSort=" + defaultSort +
                "}";
    }
}